define('threejs', ['Magetop_Advancepreview/js/three'], function (THREE) {
    window.THREE = THREE;
    return THREE;
});
define('gltfloader', ['Magetop_Advancepreview/js/GLTFLoader'], function (gltfloader) {
    window.gltfloader = gltfloader;
    return gltfloader;
});
define('OrbitControls', ['Magetop_Advancepreview/js/OrbitControls'], function (OrbitControls) {
    window.OrbitControls = OrbitControls;
    return OrbitControls;
});

var config = {
    map: {
        '*': {
            mgt_product_preview : 'Magetop_Advancepreview/js/advance-product-preview',
            threejs: 'Magetop_Advancepreview/js/three',
            gltfloader: 'Magetop_Advancepreview/js/GLTFLoader',
            OrbitControls: 'Magetop_Advancepreview/js/OrbitControls',
            owl_carousel: 'Magetop_Advancepreview/js/owl/owl.carousel',
        }
    },
    shim: {
        'Magetop_Advancepreview/js/GLTFLoader': {
            deps: ['threejs']
        },
        'Magetop_Advancepreview/js/OrbitControls': {
            deps: ['threejs']
        },
        'Magetop_Advancepreview/js/owl.owl.carousel': {
            deps: ['jquery']
        }
    }
};
